Bug 60239 - indirect map using wild card fails to mount files/directories with spaces in filename!
Summary: indirect map using wild card fails to mount files/directories with spaces in ...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-22 17:29 UTC by David Ross
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-21 08:49:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Ross 2002-02-22 17:29:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
autofs-3.1.7-21 
I'm using a map with a wild card entry:
*       -rsize=8192,wsize=8192,intr     cimnfs:/vol/vol1/data-docs/&

This happens to be a filesystem also available to Windows folks via Samba.  The
Windows people create folder and files with spaces in the names.  

autofs will not mount the directories with spaces!  It tries to match only the
first word of the file name.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up auto.master like so:
/data/docs      /etc/auto.data.docs
2. Set up /etc/auto.data.docs like so:
*       -rsize=8192,wsize=8192,intr     cimnfs:/vol/vol1/data-docs/&
3. ls '/data/docs/Quest Handsets'


Actual Results:  Feb 22 10:07:34 zcalb00c automount[19717]: using kernel
protocol version 3
Feb 22 10:18:48 zcalb00c automount[19701]: attempting to mount entry
/data/docs/Quest Handsets
Feb 22 10:18:48 zcalb00c automount[19729]: >> mount:
cimnfs:/vol/vol1/data-docs/Quest failed, reason given by server: No such file or
directory
Feb 22 10:18:48 zcalb00c automount[19729]: mount(nfs): nfs: mount failure
cimnfs:/vol/vol1/data-docs/Quest on /data/docs/Quest Handsets

Expected Results:  This works on HP-UX, so I kind of expected it to work here.

Additional info:

Totally unrelated to this bug: Please get Direct maps to work!!!!

Comment 1 Jeff Moyer 2004-11-01 15:32:57 UTC
Chris, I've verified that this bug still does exist in autofs 4.1.3.

Comment 2 Jeff Moyer 2006-04-19 21:02:46 UTC
Ian, would you mind taking a look at this?

Comment 3 Ian Kent 2006-04-20 01:54:21 UTC
(In reply to comment #2)
> Ian, would you mind taking a look at this?

I thought that that was fixed in 4.1.3 but I must be mistaken.
I don't think this is a problem in the current devel package..

Can you try the latest devel package please David.


Comment 4 Ian Kent 2006-05-12 01:55:22 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Ian, would you mind taking a look at this?
> 
> I thought that that was fixed in 4.1.3 but I must be mistaken.
> I don't think this is a problem in the current devel package..
> 
> Can you try the latest devel package please David.
> 

David, this bug is very old and I believe the problem is
resolved in current versions of this package.

If I don't hear back then I will assume that problem is
resolved and close this bug.

Ian





Note You need to log in before you can comment on or make changes to this bug.